Bug 173522 - Review Request: milter-regex milter filter regular expression based
Summary: Review Request: milter-regex milter filter regular expression based
Status: CLOSED DUPLICATE of bug 189611
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Greg DeKoenigsberg
QA Contact: Fedora Package Reviews List
URL: http://www.benzedrine.cx/milter-regex...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-17 21:06 UTC by Victor Ramirez Lorca
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-21 16:09:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Spec file patch addressing issues from Comment #1 (5.58 KB, patch)
2005-11-18 16:38 UTC, Paul Howarth
no flags Details | Diff
initscript patch addressing issues raised in Comment #1 (1.46 KB, patch)
2005-11-18 16:40 UTC, Paul Howarth
no flags Details | Diff

Description Victor Ramirez Lorca 2005-11-17 21:06:32 UTC
Spec Name or Url: http://146.83.196.48/~vramirez/mregex/milter-regex.spec
SRPM Name or Url: http://146.83.196.48/~vramirez/mregex/milter-regex-1.6-2.src.rpm
Description: Sendmail milter based filter that uses regular expressions.

  This is my first package,so i am looking for sponsoring.

Comment 1 Paul Howarth 2005-11-18 16:34:59 UTC
Comments on spec:

* the ver_ and rel_ macros serve no purpose; you should remove them
* don't include the name of the package in the summary
* use macros consistently: if you use %{__cat}, also use%{__perl}, %{__make}
etc.,  and if you use %{buildroot}, don't use $RPM_BUILD_ROOT.
* it's tidier to do edits of files etc. in %prep if possible, so I'd move the
generation of the LICENSE file from %install to %prep
* don't strip the binary; it'll result in a useless debuginfo package
* the groupadd and useradd commands could be combined into a single useradd command
* /bin/nologin does not exist
* don't delete accounts on package removal - see
http://www.redhat.com/archives/fedora-extras-commits/2005-June/msg00271.html
* /etc/init.d is a symlink to /etc/rc.d/init.d, so files should really go in the
latter directory rather than the former
* services shouldn't be enabled by default
* add dependencies for the pre/post/postun etc. scriptlets
* missing buildreq groff, needed to create cat8 manpage (which doesn't get
installed...)
* use a full URL for the source, so that "spectool --gf milter-regex.spec" will
retrieve the source
* the default username is edited in the code but not in the manpage
* if you use "install" rather than "cp" to install %SOURCE1 and %SOURCE2, you
can specify the modes of the files and not have to rely on them being set
correctly in the SRPM, which for non-644 files rpmlint doesn't like
* add a "%ghost /var/spool/milter-regex/sock" entry in the files list so that
the socket and directory get removed cleanly on package deletion
* add a "subsys" lockfile and a "reload" entry in the initscript to keep rpmlint
happy
* sendmail-devel >= 8.13.0 is needed as a buildreq since SMFIF_QUARANTINE is not
defined in sendmail < 8.13.0

I'll attach patches to this bug dealing with these issues. See what you think.

This is a nice, lightweight but powerful little filter and I wonder why I
haven't come across it before!


Comment 2 Paul Howarth 2005-11-18 16:38:54 UTC
Created attachment 121234 [details]
Spec file patch addressing issues from Comment #1

Comment 3 Paul Howarth 2005-11-18 16:40:02 UTC
Created attachment 121235 [details]
initscript patch addressing issues raised in Comment #1

Comment 4 Victor Ramirez Lorca 2005-11-18 23:06:18 UTC
(In reply to comment #1)
> Comments on spec:
> 
> * the ver_ and rel_ macros serve no purpose; you should remove them
> * don't include the name of the package in the summary
> * use macros consistently: if you use %{__cat}, also use%{__perl}, %{__make}
> etc.,  and if you use %{buildroot}, don't use $RPM_BUILD_ROOT.
> * it's tidier to do edits of files etc. in %prep if possible, so I'd move the
> generation of the LICENSE file from %install to %prep
> * don't strip the binary; it'll result in a useless debuginfo package
> * the groupadd and useradd commands could be combined into a single useradd
command
> * /bin/nologin does not exist
> * don't delete accounts on package removal - see
> http://www.redhat.com/archives/fedora-extras-commits/2005-June/msg00271.html
> * /etc/init.d is a symlink to /etc/rc.d/init.d, so files should really go in the
> latter directory rather than the former
> * services shouldn't be enabled by default
> * add dependencies for the pre/post/postun etc. scriptlets
> * missing buildreq groff, needed to create cat8 manpage (which doesn't get
> installed...)
> * use a full URL for the source, so that "spectool --gf milter-regex.spec" will
> retrieve the source
> * the default username is edited in the code but not in the manpage
> * if you use "install" rather than "cp" to install %SOURCE1 and %SOURCE2, you
> can specify the modes of the files and not have to rely on them being set
> correctly in the SRPM, which for non-644 files rpmlint doesn't like
> * add a "%ghost /var/spool/milter-regex/sock" entry in the files list so that
> the socket and directory get removed cleanly on package deletion
> * add a "subsys" lockfile and a "reload" entry in the initscript to keep rpmlint
> happy
> * sendmail-devel >= 8.13.0 is needed as a buildreq since SMFIF_QUARANTINE is not
> defined in sendmail < 8.13.0
> 
> I'll attach patches to this bug dealing with these issues. See what you think.
> 
> This is a nice, lightweight but powerful little filter and I wonder why I
> haven't come across it before!
> 

(In reply to comment #1)
> Comments on spec:
> 
> * the ver_ and rel_ macros serve no purpose; you should remove them
> * don't include the name of the package in the summary
> * use macros consistently: if you use %{__cat}, also use%{__perl}, %{__make}
> etc.,  and if you use %{buildroot}, don't use $RPM_BUILD_ROOT.
> * it's tidier to do edits of files etc. in %prep if possible, so I'd move the
> generation of the LICENSE file from %install to %prep
> * don't strip the binary; it'll result in a useless debuginfo package
> * the groupadd and useradd commands could be combined into a single useradd
command
> * /bin/nologin does not exist
> * don't delete accounts on package removal - see
> http://www.redhat.com/archives/fedora-extras-commits/2005-June/msg00271.html
> * /etc/init.d is a symlink to /etc/rc.d/init.d, so files should really go in the
> latter directory rather than the former
> * services shouldn't be enabled by default
> * add dependencies for the pre/post/postun etc. scriptlets
> * missing buildreq groff, needed to create cat8 manpage (which doesn't get
> installed...)
> * use a full URL for the source, so that "spectool --gf milter-regex.spec" will
> retrieve the source
> * the default username is edited in the code but not in the manpage
> * if you use "install" rather than "cp" to install %SOURCE1 and %SOURCE2, you
> can specify the modes of the files and not have to rely on them being set
> correctly in the SRPM, which for non-644 files rpmlint doesn't like
> * add a "%ghost /var/spool/milter-regex/sock" entry in the files list so that
> the socket and directory get removed cleanly on package deletion
> * add a "subsys" lockfile and a "reload" entry in the initscript to keep rpmlint
> happy
> * sendmail-devel >= 8.13.0 is needed as a buildreq since SMFIF_QUARANTINE is not
> defined in sendmail < 8.13.0
> 
> I'll attach patches to this bug dealing with these issues. See what you think.
> 
> This is a nice, lightweight but powerful little filter and I wonder why I
> haven't come across it before!
> 
   
  
  (In reply to comment #2)
> Created an attachment (id=121234) [edit]
> Spec file patch addressing issues from Comment #1
> 
 I have corrected all flaws that you have pointed, sorry for the mess. I have to
 try harder from now (sorry for my bad english).
 http://146.83.196.48/~vramirez/mregex/milter-regex-1.6-3.src.rpm
  
  I have not tried it under SElinux, may arise some problem? 
    

Comment 5 Paul Howarth 2006-02-13 10:12:06 UTC
This ticket has been closed NOTABUG - why was that?

I've been using this package for some time (with SELInux enabled) and would like
to see it in Extras.

Comment 6 Paul Howarth 2006-04-07 15:34:30 UTC
If the submitter is no longer interested in this package, I propose to resubmit
it myself, probably late next week when I should have more time.

Comment 7 Paul Howarth 2006-04-21 16:09:36 UTC
Since the original submitter no longer seems to be interested in this package,
I've resubmitted it myself and will close this one as a duplicate.


*** This bug has been marked as a duplicate of 189611 ***


Note You need to log in before you can comment on or make changes to this bug.